Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockTallGrass

    java.lang.Object
      net.minecraft.src.Block
          net.minecraft.src.BlockFlower
              net.minecraft.src.BlockTallGrass

All Implemented Interfaces:
  IPlantable, IShearable

    public class BlockTallGrass

extends BlockFlower
implements IShearable

Field Summary

Fields inherited from class net.minecraft.src.Block
`bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, button, cactus, cake, canBlockGrass, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cocoaPlant, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, fire, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, maxX, maxY, maxZ, melon, melonStem, minX, minY, minZ, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, slipperiness, slowSand, snow, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodSingleSlab, workbench`

Method Summary
`int` | `colorMultiplier(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`int` | `getBlockColor()`
`ArrayList<ItemStack>` | `getBlockDropped(World world, int x, int y, int z, int meta, int fortune)` This returns a complete list of items dropped from this block.
`int` | `getBlockTextureFromSideAndMetadata(int par1, int par2)` From the specified side and block metadata retrieves the blocks texture.
`int` | `getDamageValue(World par1World, int par2, int par3, int par4)`
`int` | `getRenderColor(int par1)`
`void` | `getSubBlocks(int par1, CreativeTabs par2CreativeTabs, List par3List)`
`void` | `harvestBlock(World par1World, EntityPlayer par2EntityPlayer, int par3, int par4, int par5, int par6)` Called when the player destroys a block with an item that can harvest it.
`int` | `idDropped(int par1, Random par2Random, int par3)` Returns the ID of the items to drop on destruction.
`boolean` | `isShearable(ItemStack item, World world, int x, int y, int z)` Checks if the object is currently shearable Example: Sheep return false when they have no wool
`ArrayList<ItemStack>` | `onSheared(ItemStack item, World world, int x, int y, int z, int fortune)` Performs the shear function on this object.
`int` | `quantityDroppedWithBonus(int par1, Random par2Random)` Returns the usual quantity dropped by the block plus a bonus of 1 to 'i' (inclusive).

Methods inherited from class net.minecraft.src.BlockFlower
`canBlockStay, canPlaceBlockAt, getCollisionBoundingBoxFromPool, getPlantID, getPlantMetadata, getPlantType, getRenderType, isOpaqueCube, onNeighborBlockChange, renderAsNormalBlock, updateTick`

Methods inherited from class net.minecraft.src.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, createTileEntity, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBrightness, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getBlockTextureFromSide, getCreativeTabToDisplayOn, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getSelectedBoundingBoxFromPool, getTextureFile, getTickRandomly, hasTileEntity, hasTileEntity, idPicked, isAirBlock, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isIndirectlyPoweringTo, isLadder, isLeaves, isNormalCube, isPoweringTo, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockHarvested, onBlockPlacedBy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onSetBlockIDWithMetaData, onTimeChanged, quantityDropped, quantityDropped, randomDisplayTick, removeBlockByPlayer, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setResistance, setStepSound, setTextureFile, setTickRandomly, shouldSideBeRendered, tickRate, translateBlockName, updateBlockMetadata, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBlockTextureFromSideAndMetadata

    public int getBlockTextureFromSideAndMetadata(int par1,
                                                  int par2)

  From the specified side and block metadata retrieves the blocks texture. Args: side, metadata

  Overrides:
    `getBlockTextureFromSideAndMetadata` in class `Block`

### idDropped

    public int idDropped(int par1,
                         Random par2Random,
                         int par3)

  Returns the ID of the items to drop on destruction.

  Overrides:
    `idDropped` in class `Block`

### quantityDroppedWithBonus

    public int quantityDroppedWithBonus(int par1,
                                        Random par2Random)

  Returns the usual quantity dropped by the block plus a bonus of 1 to 'i' (inclusive).

  Overrides:
    `quantityDroppedWithBonus` in class `Block`

### harvestBlock

    public void harvestBlock(World par1World,
                             EntityPlayer par2EntityPlayer,
                             int par3,
                             int par4,
                             int par5,
                             int par6)

  Called when the player destroys a block with an item that can harvest it. (i, j, k) are the coordinates of the block and l is the block's subtype/damage.

  Overrides:
    `harvestBlock` in class `Block`

### getBlockColor

    public int getBlockColor()

  Overrides:
    `getBlockColor` in class `Block`

### getRenderColor

    public int getRenderColor(int par1)

  Overrides:
    `getRenderColor` in class `Block`

### colorMultiplier

    public int colorMultiplier(IBlockAccess par1IBlockAccess,
                               int par2,
                               int par3,
                               int par4)

  Overrides:
    `colorMultiplier` in class `Block`

### getDamageValue

    public int getDamageValue(World par1World,
                              int par2,
                              int par3,
                              int par4)

  Overrides:
    `getDamageValue` in class `Block`

### getSubBlocks

    public void getSubBlocks(int par1,
                             CreativeTabs par2CreativeTabs,
                             List par3List)

  Overrides:
    `getSubBlocks` in class `Block`

### getBlockDropped

    public ArrayList<ItemStack> getBlockDropped(World world,
                                                int x,
                                                int y,
                                                int z,
                                                int meta,
                                                int fortune)

  Description copied from class: `Block`
  This returns a complete list of items dropped from this block.

  Overrides:
    `getBlockDropped` in class `Block`
  Parameters:
    `world` - The current world
    `x` - X Position
    `y` - Y Position
    `z` - Z Position
    `meta` - Current metadata
    `fortune` - Breakers fortune level
  Returns:
    A ArrayList containing all items this block drops

### isShearable

    public boolean isShearable(ItemStack item,
                               World world,
                               int x,
                               int y,
                               int z)

  Description copied from interface: `IShearable`
  Checks if the object is currently shearable Example: Sheep return false when they have no wool

  Specified by:
    `isShearable` in interface `IShearable`
  Parameters:
    `item` - The itemstack that is being used, Possible to be null
    `world` - The current world
    `x` - The X Position
    `y` - The Y Position
    `z` - The Z Position
  Returns:
    If this is shearable, and onSheared should be called.

### onSheared

    public ArrayList<ItemStack> onSheared(ItemStack item,
                                          World world,
                                          int x,
                                          int y,
                                          int z,
                                          int fortune)

  Description copied from interface: `IShearable`
  Performs the shear function on this object. This is called for both client, and server. The object should perform all actions related to being sheared, except for dropping of the items. Returns a list of items that resulted from the shearing process. For entities, they should trust there internal location information over the values passed into this function.

  Specified by:
    `onSheared` in interface `IShearable`
  Parameters:
    `item` - The itemstack that is being used, Possible to be null
    `world` - The current world
    `x` - The X Position
    `y` - The Y Position
    `z` - The Z Position
    `fortune` - The fortune level of the shears being used
  Returns:
    A ArrayList containing all items from this shearing. Possible to be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD